#
# spec file for package python-pycha
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-pycha
Version:        0.7.0
Release:        1.1
License:        LGPL-3.0
Summary:        A library for making charts with Python
Url:            http://bitbucket.org/lgs/pycha/
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/p/pycha/pycha-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildArch:      noarch

%description
.. contents::

=====
PyCha
=====

Pycha is a very simple Python package for drawing charts using the great
`Cairo <http://www.cairographics.org/>`_ library. Its goals are:

* Lightweight
* Simple to use
* Nice looking with default values
* Customization

It won't try to draw any possible chart on earth but draw the most common ones
nicely. There are some other options you may want to look at like
`pyCairoChart <http://bettercom.de/de/pycairochart>`_.

Pycha is based on `Plotr <http://solutoire.com/plotr/>`_ which is based on
`PlotKit <http://www.liquidx.net/plotkit/>`_. Both libraries are written in
JavaScript and are great for client web programming. I needed the same for the
server side so that's the reason I ported Plotr to Python. Now we can deliver
charts to people with JavaScript disabled or embed them in PDF reports.

Pycha is distributed under the terms of the `GNU Lesser General Public License
<http://www.gnu.org/licenses/lgpl.html>`_.


%prep
%setup -q -n pycha-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes -s %{buildroot}

%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc COPYING README.txt CHANGES.txt AUTHORS
%{python_sitelib}/*
%{_bindir}/chavier

%changelog
* Sun Aug 21 2016 axel.braun@gmx.de
- link to pypi.io
* Thu Jun 30 2016 axel.braun@gmx.de
- release 0.7.0
  Initial build on OBS
